GNU bug report logs - #52871
29.0.50; weird bug with Gnus, can't have "^From" in `message-hidden-header's

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Emanuel Berg <moasenwood@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 52871 <at> debbugs.gnu.org and Emanuel Berg <moasenwood@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52871 <at> debbugs.gnu.org:


Received: (at 52871) by debbugs.gnu.org; 21 Jan 2022 13:18:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 21 08:18:43 2022
Received: from localhost ([127.0.0.1]:60605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nAtoR-0004xK-NU
	for submit <at> debbugs.gnu.org; Fri, 21 Jan 2022 08:18:43 -0500
Received: from quimby.gnus.org ([95.216.78.240]:34836)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nAtoQ-0004x3-Aj
 for 52871 <at> debbugs.gnu.org; Fri, 21 Jan 2022 08:18:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=ga++Safwp5aylqp6SbbHOcuxVO6o8atFmM8tNZ8x8hs=; b=vIb6n1fje1Ox+GMINrWLtI3Fl9
 +qbUrchc9o2G/0qi5CWS+XHPNxsPOpJoYbsQDoxuQuNyoL0wqtCZ6IYQextwk0i4tAAxhCr6FPHIm
 w5DlZZLnEU2w7ijZ6cp3IdyFWNjRDEjJFYbQUSuYPajRZwBKaPeHwkuTsfNYdOsGvPl8=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nAtoH-0004a5-7L; Fri, 21 Jan 2022 14:18:35 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#52871: 29.0.50; weird bug with Gnus, can't have "^From" in
 `message-hidden-header's
References: <87a6gj35od.fsf@HIDDEN> <878rw377tu.fsf@HIDDEN>
 <877dbnz531.fsf@HIDDEN> <87r19v8fxh.fsf@HIDDEN>
 <87o84zxouk.fsf@HIDDEN> <87fsppwbyz.fsf@HIDDEN>
 <87fspo65sr.fsf@HIDDEN> <87ilue4ucz.fsf@HIDDEN>
 <87y23aqs7x.fsf@HIDDEN> <87r191witp.fsf@HIDDEN>
 <87tudxjr4y.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEWqkm7Ip2rMs4rV
 wZ/269NLMRqQajn///+EDJsnAAAAAWJLR0QHFmGI6wAAAAd0SU1FB+YBFQ0JOz5/HRwAAAGgSURB
 VDjLzZPNdoIwEIUHrVmXtHUNaNljsHsh3VPpZA3V5P0foZNJVPzpvrMIyf2YO5ecA8A/qYSX/FZO
 fdEqs+u3U1kU0rNrwDpVTo/8SidRKbVhmk71lToVgfTiQ3qtqQIpihhHko2O1Qa/6L866ydC0W50
 TwKggMG/LaYtAD4oC594vLRwR3TKl/sbEJy01D9xCnnlDOIxPz4GlVqfcgUQRzRjeZyCRK54RIPG
 4dN5+gW8o3lDPIOMPjyABfqKU5TyVxIA69GLZmRQt5IBWOxKDF/U6k0O7brig/3A/tDP4xAa3siG
 t9hjX+y7GJg6djOtd/oVcI99Nzt5UYeqa1Gpl0Fsyaora7X91m2bJZBtlgZSiQ7RLHCwFG1WzrMR
 nN/yMq1uAMGbMzDO8WMAPro7MALvB38hsxVhkzpfdgR7a88OboBHOpkw6IQAQ+McrQJAOOssAWpL
 q8yZg1alGRL/GyyM6DxwkCwRR1nQ+pU+g9ciAJL832QDEEPscGJJOalcAAsGhnP7iP4RTsYZmESc
 3tgEYLyMezAt+wegGb+43uf6fHKqZwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wMS0yMVQxMzow
 OTo1OSswMDowMI7Sw7kAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDEtMjFUMTM6MDk6NTkrMDA6
 MDD/j3sFAAAAAElFTkSuQmCC
X-Now-Playing: David Bowie's _Brilliant Adventure (2): The Buddha Of
 Suburbia_: "The Mysteries"
Date: Fri, 21 Jan 2022 14:18:32 +0100
In-Reply-To: <87tudxjr4y.fsf@HIDDEN> (Robert Pluim's message of "Fri, 21
 Jan 2022 11:54:21 +0100")
Message-ID: <87r191p6qf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Robert Pluim <rpluim@HIDDEN> writes: > As Michael points
    out: I think this only happens when youʼre replying > to an existing message,
    not composing a new one. Ah, missed that. Now fixed in Emacs 29. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52871
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 52871 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Robert Pluim <rpluim@HIDDEN> writes:

> As Michael points out: I think this only happens when you=CA=BCre replying
> to an existing message, not composing a new one.

Ah, missed that.  Now fixed in Emacs 29.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52871; Package emacs. Full text available.

Message received at 52871 <at> debbugs.gnu.org:


Received: (at 52871) by debbugs.gnu.org; 21 Jan 2022 10:54:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 21 05:54:32 2022
Received: from localhost ([127.0.0.1]:60315 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nArYt-000250-QU
	for submit <at> debbugs.gnu.org; Fri, 21 Jan 2022 05:54:31 -0500
Received: from mail-wm1-f49.google.com ([209.85.128.49]:42516)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1nArYr-00024m-55
 for 52871 <at> debbugs.gnu.org; Fri, 21 Jan 2022 05:54:30 -0500
Received: by mail-wm1-f49.google.com with SMTP id
 f202-20020a1c1fd3000000b0034dd403f4fbso18171971wmf.1
 for <52871 <at> debbugs.gnu.org>; Fri, 21 Jan 2022 02:54:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=mOl6ed5wsO3RXpkpi+9hleT23CVLbv9KOUodNqq3bas=;
 b=Q56o+vRP0Cns1h+VFcb95xA4gxvCl1v6y7NrainlJKFSwWxbcOUPGb339GC2p4Iap8
 ZHkKrcdNwYNgiUQBhggVxKJmGZJFx+gad+zEP7IxTDFeHcBFkVuMPSBZffMlrmnYp5A3
 8j/OV1ZOwBlRLmAAckH4bSJyl9GQkPFO1HgEvKldfXkRJm8kxFvd184iRLDRh017NnLI
 m9OIIznLvivsI7eHjp6INQyfmaUV4ih2qSSYAJXr/xnmjpFQLiTR9enYu0Pv/ErjqLr9
 kNcexiAYSVVhvMsStER1kpb8fJheM0v/Wg+ldGGJnEpjvYfSrKN9QZ7wQQ6W9UrlEtiR
 Ro5Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=mOl6ed5wsO3RXpkpi+9hleT23CVLbv9KOUodNqq3bas=;
 b=k23Y080Yclq9HAs1TiVEcl7oYhJj+Rv8xHflyWzAFapj/E4kODW7kdbXJMqlt2ivHc
 Xm2Tm6ntOO4i0J+WvYeCyG1vWDvphYpLNjqiP2XF4K+36pm1Mn5s4/zoLN9683F81ltT
 v/EvOAO7jNI4AmhjjWira4LWpKNxD7xpmREnO1UfEvx1RWKpSbhwoaWzKKxpb2pIcuzU
 OmNWSw6Wzrf9eztJ3bTroroIEge6VxeZqkOHVMMVKZhwwzP7dVys3xg9odEzKtXMH0sr
 zhQ8jtFUzXxPiXs+LnqBaNhdgT7UK6sDfjeJRv/gzKA3dsLY56KzWvU9+QzmpeCN/rKw
 wBaQ==
X-Gm-Message-State: AOAM532atNyQW3QxLGtgHBgqI6/1sp2Z2Nyqh4b9X2pIeBwLzRSIR3O6
 hcPfeoZ5w3maUS2xX7rrrJzaEry1G/o=
X-Google-Smtp-Source: ABdhPJz7bGUjDj0Kh5dO+52ydLNGNdn1kPczTnwm3GltI47RA8EyeZSCrW2kcZST0OgC9LvaESMNfw==
X-Received: by 2002:adf:d1cf:: with SMTP id b15mr3400461wrd.338.1642762462458; 
 Fri, 21 Jan 2022 02:54:22 -0800 (PST)
Received: from rltb ([2a01:e0a:3f3:fb50:c6e0:de88:3686:619f])
 by smtp.gmail.com with ESMTPSA id 21sm4771985wmk.45.2022.01.21.02.54.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 21 Jan 2022 02:54:22 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#52871: 29.0.50; weird bug with Gnus, can't have "^From" in
 `message-hidden-header's
References: <87a6gj35od.fsf@HIDDEN> <878rw377tu.fsf@HIDDEN>
 <877dbnz531.fsf@HIDDEN> <87r19v8fxh.fsf@HIDDEN>
 <87o84zxouk.fsf@HIDDEN> <87fsppwbyz.fsf@HIDDEN>
 <87fspo65sr.fsf@HIDDEN> <87ilue4ucz.fsf@HIDDEN>
 <87y23aqs7x.fsf@HIDDEN> <87r191witp.fsf@HIDDEN>
Date: Fri, 21 Jan 2022 11:54:21 +0100
In-Reply-To: <87r191witp.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 21 Jan 2022 10:15:30 +0100")
Message-ID: <87tudxjr4y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52871
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 52871 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 21 Jan 2022 10:15:30 +0100, Lars Ingebrigtsen <larsi@HIDDEN=
> said:

    Lars> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
    >> Did you actually try to send a message?  With Gnus Mock it's impossi=
ble
    >> here to reply to any of the INBOX messages using that value of
    >> `message-hidden-headers' and send successfully.

    Lars> I don't use Gnus-mock or anything.  Here's my recipe:

    Lars> emacs -Q
    Lars> M-: (setq message-hidden-headers '("^Face"
    Lars>                                "^From"
    Lars>                                "^Mail-Copies-To"
    Lars>                                "^References"
    Lars>                                "^X-Draft-From"
    Lars>                                "^X-Face") ) RET
    Lars> C-x m
    Lars> <edit the headers so they're valid>
    Lars> C-c C-c
    Lars> smtp RET
    Lars> quimby.gnus.org RET
    Lars> n

As Michael points out: I think this only happens when you=CA=BCre replying
to an existing message, not composing a new one.

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52871; Package emacs. Full text available.

Message received at 52871 <at> debbugs.gnu.org:


Received: (at 52871) by debbugs.gnu.org; 21 Jan 2022 09:15:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 21 04:15:41 2022
Received: from localhost ([127.0.0.1]:60161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nAq1E-0001Cl-RP
	for submit <at> debbugs.gnu.org; Fri, 21 Jan 2022 04:15:41 -0500
Received: from quimby.gnus.org ([95.216.78.240]:60132)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nAq1D-0001CY-3k
 for 52871 <at> debbugs.gnu.org; Fri, 21 Jan 2022 04:15:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=9GTSN1bxtRRRv0uGDxDxf94dceXz3srInOO2JWl/ytU=; b=PBbzrRb0GiE5stj07OCo1wzBXx
 rH8HLwZm+uTrcINZB7Mhr+QbK4VOBqo949hzqGBPQrCqjN00jEE2mzATflytVrZeM6kxCv764f9GB
 vDxjHo8y9HTOwQtf7q8YdKISl3krKIfrKjVbIu/vRjBkRuAxWQMs+1a36no7B35ISniA=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nAq14-0008DW-Sf; Fri, 21 Jan 2022 10:15:33 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#52871: 29.0.50; weird bug with Gnus, can't have "^From" in
 `message-hidden-header's
References: <87a6gj35od.fsf@HIDDEN> <878rw377tu.fsf@HIDDEN>
 <877dbnz531.fsf@HIDDEN> <87r19v8fxh.fsf@HIDDEN>
 <87o84zxouk.fsf@HIDDEN> <87fsppwbyz.fsf@HIDDEN>
 <87fspo65sr.fsf@HIDDEN> <87ilue4ucz.fsf@HIDDEN>
 <87y23aqs7x.fsf@HIDDEN>
X-Now-Playing: Brian Auger & Julie Driscoll's _Open_: "In And Out"
Date: Fri, 21 Jan 2022 10:15:30 +0100
In-Reply-To: <87y23aqs7x.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 20
 Jan 2022 17:36:50 +0100")
Message-ID: <87r191witp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > Did
 you actually try to send a message? With Gnus Mock it's impossible > here
 to reply to any of the INBOX messages using that value of >
 `message-hidden-headers' and send successfully. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52871
Cc: 52871 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Did you actually try to send a message?  With Gnus Mock it's impossible
> here to reply to any of the INBOX messages using that value of
> `message-hidden-headers' and send successfully.

I don't use Gnus-mock or anything.  Here's my recipe:

emacs -Q
M-: (setq message-hidden-headers '("^Face"
                               "^From"
                               "^Mail-Copies-To"
                               "^References"
                               "^X-Draft-From"
                               "^X-Face") ) RET
C-x m
<edit the headers so they're valid>
C-c C-c
smtp RET
quimby.gnus.org RET
n

No errors.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52871; Package emacs. Full text available.

Message received at 52871 <at> debbugs.gnu.org:


Received: (at 52871) by debbugs.gnu.org; 20 Jan 2022 16:36:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 20 11:36:59 2022
Received: from localhost ([127.0.0.1]:59032 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nAaQl-0007nb-FP
	for submit <at> debbugs.gnu.org; Thu, 20 Jan 2022 11:36:59 -0500
Received: from mout.web.de ([212.227.15.14]:59625)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1nAaQk-0007nM-02
 for 52871 <at> debbugs.gnu.org; Thu, 20 Jan 2022 11:36:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1642696611;
 bh=bXQzoPZnDwdwVGPJ2lSdeHSj7o9S/DaV6cxO0lmCvbA=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=BLFV5KEd7auXrbVYxSNiA7xUh9PMsOXeB9FSMp3Assu+RX6aN2Lj7LC/I+JTff6h4
 u//8q+992YZmWSwRmzGgopGZheHUAXS5PXpZweU9L01V5byp6lxBjOJY13xPaBUXcY
 CW/JvNkEqurosBqAxbylw5tVVh/f9EPxIrrRo0sQ=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([88.66.201.186]) by smtp.web.de (mrweb005
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1MK52w-1msUY92HPC-00Lj5k; Thu, 20
 Jan 2022 17:36:51 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#52871: 29.0.50; weird bug with Gnus, can't have "^From" in
 `message-hidden-header's
References: <87a6gj35od.fsf@HIDDEN> <878rw377tu.fsf@HIDDEN>
 <877dbnz531.fsf@HIDDEN> <87r19v8fxh.fsf@HIDDEN>
 <87o84zxouk.fsf@HIDDEN> <87fsppwbyz.fsf@HIDDEN>
 <87fspo65sr.fsf@HIDDEN> <87ilue4ucz.fsf@HIDDEN>
Date: Thu, 20 Jan 2022 17:36:50 +0100
In-Reply-To: <87ilue4ucz.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 20 Jan 2022 10:41:32 +0100")
Message-ID: <87y23aqs7x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:DC4HGClXiJjok4Uw/XvlpPLKypsNxylg1Dp6SaxGawbk2Vrk43y
 qkgCD2zQmL4gqMsOjpfEQqMaFgwa8/wp7rwaSQEoaY22yWkyGyJmuVZUmcoOAz2p7e7vt5v
 /biwdhOD7CV9Cd3dlGKfdx9g/UasO6G9wkuj81JRXfzVo4S+DSdLY/i94U22lLxQy5WHeoL
 VX25myZ2bsLGRsb624Izw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:yJNF0yDhmpY=:vtomGG10Eb3hDtUwJ9x+wW
 TCIKhSm+yg+oDapuDEEDVcsSzWduH/czNeXhacI4Tjsy+XIEi6a5IU6sGI40LMCWUY9LOy07V
 Q2q+n/25PhJs9qUkoeR5KMbpOV2tj7Tug20dqZ7WyQrmINepcNn305JvUM3iXhbsMJMtLFEju
 OQi8dW7Txv8mqwPZj798dmQ1ZJswRSxmxs2GfcIY2gcO9Z/EkD7R9unbGSGbsmP7OnRqNrYEf
 RrFgciF6EbDPGtM/ouNLPL+Kf9oMNpcRyHKWDozWoUiJV9p5yzXWqlk8ec2NnXvW3sn0dckDT
 QCT1UE8yDLVvADKsB8qrQtOljtrhYlzJtYaorDXt/D8NipSOWpLt2xpHLrk+MEtbv19sLIOIy
 b8RXRxTsfZWZNvQfvqSg8S6UNTeqvwqniN+vCRPBqNF/GFLwO4xY8DGq1fPe1fenUU8PCBlR5
 PMoPPkwMspuFLPKyG7fqPLjKOVNP6mDavKrAaw1TikNWkz5IH/idJId77eP3ODRH+CXi6fmhe
 jfhzrjHqp55dynv9wVS2R9hYvLkqLPY3NitXlpaWwyVETdGB9BfgjWa9AJt0O603AUuRDid/c
 N94jJacNQDu34N+DrtxQiZVrhfznYt1F7aIKXF1+4jlIRJz1pPVbPS+tqKnRN+H3904ZikEwa
 a9PrSyvM+iGczB9GAjNwvB79o7jU/5NY426NuAhypYr0qAIbB0nw4VZTyRYTHKwko6b6/JrEA
 FqL9ehflswQgPaTyfiNW1k8XBXm4sGgsC6+oHQpFPFpGZtk0p1DLfk5VOu2twPQL1uI1m+ieJ
 SiuDw207T59TTHwG1hVHgDUPfvdmZD95AeE0vBXs7iU6g84DMRZIyVr+qB2lgkoy0m9BjVwQ4
 mORZH4DnyidbKxUZq2rQCO1oyUmYugbPL4YQ2TZqpIf1juqbdTn1giCfTU6+ZnFqqBQPNBwfl
 BnTH4mz0wdoFksmDEBBb53i4oim+qPU52pEqOSNhGfRiAFWquP536uCQc1kjuFETeXwyyDy0c
 xMhOnX/uSqNA/IfANcbYsCbLzrGztwyxmT8zKtfbSu1Jen6SXD+w1VYLAfhGKJPvqXCs5ZbaA
 YFpDwLCH0XM2p8=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52871
Cc: 52871 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Perhaps there's some other customisation option that also affects how
> this works?

Not that I knew.  I can reproduce the issue using the defaults of M-x
gnus-mock-start.

Did you actually try to send a message?  With Gnus Mock it's impossible
here to reply to any of the INBOX messages using that value of
`message-hidden-headers' and send successfully.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52871; Package emacs. Full text available.

Message received at 52871 <at> debbugs.gnu.org:


Received: (at 52871) by debbugs.gnu.org; 20 Jan 2022 09:41:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 20 04:41:44 2022
Received: from localhost ([127.0.0.1]:56373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nATwt-0000FB-R7
	for submit <at> debbugs.gnu.org; Thu, 20 Jan 2022 04:41:44 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47336)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nATws-0000Ew-Rl
 for 52871 <at> debbugs.gnu.org; Thu, 20 Jan 2022 04:41:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=zguSANQR1PTUteTfv260rq/c6vMMkptzZfpsMDT5qYg=; b=koZbCFgUUcvT968WFz8N7L9oKj
 mollbPMlQUWjX6f/3n+O6XnFER4+UtI1SkxEV98xdDiZb3tdZ3OfD3lqGSpPheQqyDZgWtb/3l5sh
 LuLLWwRSNOjAVl/94f9JBd7mBsUx6HG8jEK4Ax2aEqjIP77rLHfWziOPJCjAJkNTuzEQ=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nATwk-0003zf-CW; Thu, 20 Jan 2022 10:41:36 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#52871: 29.0.50; weird bug with Gnus, can't have "^From" in
 `message-hidden-header's
References: <87a6gj35od.fsf@HIDDEN> <878rw377tu.fsf@HIDDEN>
 <877dbnz531.fsf@HIDDEN> <87r19v8fxh.fsf@HIDDEN>
 <87o84zxouk.fsf@HIDDEN> <87fsppwbyz.fsf@HIDDEN>
 <87fspo65sr.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEVgXV2gnZ3S0ND7
 +/u7ZUcZFxj///8mNaidAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YBFAkeAUJFj4EAAAGzSURBVDjL
 ddNLkuMgDAZgQYo9wsPewHhvo5oD9FRmj1Oj+1+lBfiVTsImLr6gH4QNCgBTjNQHAgRoT3Bv49ff
 DqO2o9IUMFX4ir+/OixWW6VulGMEBY6OsaAD6BP7bx9Zx9UrlKcACl06xWVtQRPNDAjq2JPUShbM
 QORZSikx3FbNQyhlTGQqGGZWqq+KLpu1pIUZLMg8l4h1DxmBTNESIRm+AuvcxbqakU0BtA14oCaj
 BRj6rpB3CTKzABQiCREwHUqqEgQGSpkhxmlbokQiKrO6TAIpLxuwZFgL0twUpFQm2mpxcZSVkg3c
 vBxQDvaHz2JZNmDTxAWkF3kHtqm1GLxvpc4lXDtOgwPJaN3bU2oM0QM1bXBsjMtNLmUcAvdXgvwp
 GF2o97HdKV/Gg5LZgcITyMF3oPEELZnrAWdMQYHHCYcIzKwvsEkRGFe8wn5OSFOxT1DPKQh6Xp+B
 Yi+mpst2tzWtWuEfGbUFVYqR+/gBRz9fYG/BK9BHwPbWvgEiedPgLZgPkD9k0FI+wPwC+dL+dysM
 /7//g3cR5l5hlA/oOWL1DTzltd1FXPofpmLkG/8GlCrpGDPPkmsAAAAldEVYdGRhdGU6Y3JlYXRl
 ADIwMjItMDEtMjBUMDk6MzA6MDArMDA6MDA/ZdMEAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTAx
 LTIwVDA5OjMwOjAwKzAwOjAwTjhruAAAAABJRU5ErkJggg==
X-Now-Playing: Led Zeppelin's _Led Zeppelin_: "You Shook Me"
Date: Thu, 20 Jan 2022 10:41:32 +0100
In-Reply-To: <87fspo65sr.fsf@HIDDEN> (Michael Heerdegen's message of "Sat, 15
 Jan 2022 22:35:32 +0100")
Message-ID: <87ilue4ucz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > I can
 reproduce the original recipe. > > Lars, did you remove the comment delimiters
 in > > #+begin_src emacs-lisp > (setq message-hidden-headers '("^Face" >
 ;; "^From" > "^Mail-Copies-To" > "^Refer [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52871
Cc: 52871 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> I can reproduce the original recipe.
>
> Lars, did you remove the comment delimiters in
>
> #+begin_src emacs-lisp
> (setq message-hidden-headers '("^Face"
>                                ;; "^From"
>                                "^Mail-Copies-To"
>                                "^References"
>                                "^X-Draft-From"
>                                "^X-Face") )
> #+end_src
>
> when you tried to reproduce the issue?

If by that you mean use

(setq message-hidden-headers '("^Face"
                               "^From"
                               "^Mail-Copies-To"
                               "^References"
                               "^X-Draft-From"
                               "^X-Face") )

then yes.  Perhaps there's some other customisation option that also
affects how this works?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52871; Package emacs. Full text available.

Message received at 52871 <at> debbugs.gnu.org:


Received: (at 52871) by debbugs.gnu.org; 15 Jan 2022 21:35:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 16:35:42 2022
Received: from localhost ([127.0.0.1]:42088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8qi6-00055R-8K
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 16:35:42 -0500
Received: from mout.web.de ([212.227.17.11]:59903)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1n8qi3-00055B-Pf
 for 52871 <at> debbugs.gnu.org; Sat, 15 Jan 2022 16:35:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1642282533;
 bh=QXSlbr1zwdpvNmISjteBRzaqdiIxnkmbgD/+csu4svc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=hEYGJOdGFTMV1+3TiXpM/QtFID5jiAvVfm5UOJuSx9RXM7u2fUSoe6TOVr1+fHDvs
 41jQ/B1IR52iUG5m4jbAq/APvBNCgqS9WjumdCuUdDC95y+GRGAmmqwnP+b05lDQoL
 +kI+hycMyfMiPr496l/+iZE8l/7NwkNKsF2WEC0U=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([88.66.201.186]) by smtp.web.de (mrweb106
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1MF2kU-1n6aaL2em8-00FSIK; Sat, 15
 Jan 2022 22:35:33 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#52871: 29.0.50; weird bug with Gnus, can't have "^From" in
 `message-hidden-header's
References: <87a6gj35od.fsf@HIDDEN> <878rw377tu.fsf@HIDDEN>
 <877dbnz531.fsf@HIDDEN> <87r19v8fxh.fsf@HIDDEN>
 <87o84zxouk.fsf@HIDDEN> <87fsppwbyz.fsf@HIDDEN>
Date: Sat, 15 Jan 2022 22:35:32 +0100
In-Reply-To: <87fsppwbyz.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 15 Jan 2022 11:05:24 +0100")
Message-ID: <87fspo65sr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:InluoY7l2Cu64Qp2Mqgum15UDQZ1hyV2eNAJBGiJF8PZRFK7UUp
 Om+rxJrh9b2BD0Xe1bHz6QWe8Vahg0tMjsB5Jsjv1NWLvpi1SA21yfo65pwucM3VKOlEG+t
 DTurT1GbEk8KEF+sUT4JYdZFF/hDc+qcR1cMj6OXSoy8MOsCJ6lA3+RJ4RFkv6D6hrzHwso
 iE4zmcjqu48yB66wuhb4g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:fL8BusXK0YI=:7PRi+VhKqdAZLMLhaqM0PF
 LlgRgWc2lcuGE3+Dx+tqhkxiez7I/ICwaP9ChmwLiOXueOkN9JIkDR4Arhc2382vlIXASPmQg
 D41D+SLaRO+fusxEuP2ujSAPkWg10oScQoXwJeHY7x2+1/+Svidk3dIGKpVWi2CMwELLDVbkV
 a79xjHHaSMeLSXw0LSbQLEYjnkEkWTyOP618YpV9aOZvoNrl6myXj0ljDjEx/OdWPBgMgT8yB
 mU15fevLUbBO5ddX5IaiBSIoJjQ95vjKDFznlj7QJZ+6AW30R+ICVqBMdc3RzlFrz3eEQPFO/
 A7VrV8qNCuM+6Veb/TIT0+CjZLG1eompHGYocR7c4+9V3rBwWboy+yzrbhxWL0avkanNAZ4uT
 9M+BNWFEUaGn1klrbpeLbneIotx8PkfsI5DnuFLMeAwGZ1QIb+mugAyDIKlRMfKDdBXiXIbW6
 o8nKmlkF5Kd5uk1tYYM1RtNN1pk08QCKXHO6VEgBdqBg5xfMylowhYJYEghXYfMK36mcV0UMA
 /iCqUtRbVNAcvFT6YtqyB2VsT3Qhxrt89vG6jTOTWmGqvGQkYAR+meC3ppKDneli8yukSDJSz
 kLBHsfKXRJWQjdJgMYB9RBnQmcrmuaI5dTtXbmHvSHj6XcY4obkEFas+vFArvWbWM9lSNCBZN
 oa6zl8b0acW0Aj1dpxvvoUpK3gTo6a1aNIFsgll1OsWTAH/ZpALAAmvFvs4FBkndWdmEEUtyY
 nZxJSjfszkuQcOTKv3csV38NYK4XFoiPEvlz/DVc757HCJu6wZAnRLbsOsPSIXpcLifjqXsdR
 bq6x95J217R3X08d2d2w3ekpw6TPtNiAl1MW3S7P6IRhs3cCTteU6q1/p43kz5vLvGD8Z18+8
 QuKvZFuO1ql08U+1H9gGBWIzeSOuLeXrvnAa/V7G9Fq9lskEIuZ9979/uQPla8J1RRCth9YbE
 8W0jlmKnFgRYAU4z9UVgXDB9VSlb2XC2uFz+7cp7pSRYzlNwkPgcPEVJ/bHGpwL16JpGtSeTJ
 y2HblwWXpfk1Uo8ltJHj/tG0zQUmU67o8phtozppwT6qKfdWuMdbx4a3uOkG4aakFe/H7NJOm
 ZARYcNKHApPx4Y=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52871
Cc: 52871 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Have you made any progress in debugging this issue?

I can reproduce the original recipe.

Lars, did you remove the comment delimiters in

#+begin_src emacs-lisp
(setq message-hidden-headers '("^Face"
                               ;; "^From"
                               "^Mail-Copies-To"
                               "^References"
                               "^X-Draft-From"
                               "^X-Face") )
#+end_src

when you tried to reproduce the issue?

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52871; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jan 2022 10:06:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 05:06:17 2022
Received: from localhost ([127.0.0.1]:39115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8fwv-00051s-Ng
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 05:06:17 -0500
Received: from lists.gnu.org ([209.51.188.17]:41294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n8fwt-00051k-EC
 for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 05:06:16 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52144)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1n8fwt-00077m-80
 for bug-gnu-emacs@HIDDEN; Sat, 15 Jan 2022 05:06:15 -0500
Received: from [2a01:4f9:2b:f0f::2] (port=37370 helo=quimby.gnus.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1n8fwr-0000WC-Ff
 for bug-gnu-emacs@HIDDEN; Sat, 15 Jan 2022 05:06:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:To:From:Sender:Reply-To:Cc:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=cvg6tGS1U+iVp2grFtFK6gE0gQLdN+Y44FZv6cEm230=; b=aWzSNQ1z+pHlBKbnE2rqDrEFW6
 ETO1PU0anubwrn3DqvxN/ZXcy06QkrM1MR0gSfLrLxuAgBE1ZPoZQhRJXnEmV21p4+TwWvfMJWqAY
 lOGZCE4ZG93uj8BW5CSsw9uG+UVwMf2F3uFFBv1gfLqHzRDPL6aCZKyOk0F7L8EVejpw=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1n8fw6-0003Nr-Gs
 for bug-gnu-emacs@HIDDEN; Sat, 15 Jan 2022 11:05:29 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#52871: 29.0.50; weird bug with Gnus, can't have "^From" in
 `message-hidden-header's
References: <87a6gj35od.fsf@HIDDEN> <878rw377tu.fsf@HIDDEN>
 <877dbnz531.fsf@HIDDEN> <87r19v8fxh.fsf@HIDDEN>
 <87o84zxouk.fsf@HIDDEN>
X-Now-Playing: Joni Mitchell's _Archives: The Early Years (5)_: "Marcie"
Date: Sat, 15 Jan 2022 11:05:24 +0100
In-Reply-To: <87o84zxouk.fsf@HIDDEN> (Emanuel Berg's message of "Wed, 29 Dec
 2021 19:12:03 +0100")
Message-ID: <87fsppwbyz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Emanuel Berg <moasenwood@HIDDEN> writes: >>> With -Q to send
 a mail doesn't work for other reasons, do >>> you have a minimal Gnus setup
 for nnml and SMTP, perhaps? >>> Or just what variables need to be filled
 in? >> >> It'll prompt you for [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a01:4f9:2b:f0f::2 (failed)
Received-SPF: pass client-ip=2a01:4f9:2b:f0f::2; envelope-from=larsi@HIDDEN;
 helo=quimby.gnus.org
X-Spam_score_int: -35
X-Spam_score: -3.6
X-Spam_bar: ---
X-Spam_report: (-3.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RDNS_NONE=0.793, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Emanuel Berg <moasenwood@HIDDEN> writes:

>>> With -Q to send a mail doesn't work for other reasons, do
>>> you have a minimal Gnus setup for nnml and SMTP, perhaps?
>>> Or just what variables need to be filled in?
>>
>> It'll prompt you for an SMTP server etc, so nothing should
>> need to be filled in.
>
> But then it fails for another reason, "Sending failed: 553
> Relaying disallowed ..."

Have you made any progress in debugging this issue?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52871; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Dec 2021 18:12:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 29 13:12:16 2021
Received: from localhost ([127.0.0.1]:50319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2dQu-0003i9-7w
	for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 13:12:16 -0500
Received: from lists.gnu.org ([209.51.188.17]:45654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1n2dQs-0003i2-RT
 for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 13:12:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58366)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1n2dQs-0002Rk-Ix
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 13:12:14 -0500
Received: from ciao.gmane.io ([116.202.254.214]:48244)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1n2dQr-0008KP-4l
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 13:12:14 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1n2dQp-0007VE-IY
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 19:12:11 +0100
X-Injected-Via-Gmane: http://gmane.org/
Mail-Followup-To: bug-gnu-emacs@HIDDEN
To: bug-gnu-emacs@HIDDEN
From: Emanuel Berg <moasenwood@HIDDEN>
Subject: Re: bug#52871: 29.0.50;
 weird bug with Gnus, can't have "^From" in `message-hidden-header's
Date: Wed, 29 Dec 2021 19:12:03 +0100
Message-ID: <87o84zxouk.fsf@HIDDEN>
References: <87a6gj35od.fsf@HIDDEN> <878rw377tu.fsf@HIDDEN>
 <877dbnz531.fsf@HIDDEN> <87r19v8fxh.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
Cancel-Lock: sha1:P8zBpTBSUw1owIW9jn22VwgzSAs=
Mail-Copies-To: never
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 2
X-Spam_score: 0.2
X-Spam_bar: /
X-Spam_report: (0.2 / 5.0 requ) HEADER_FROM_DIFFERENT_DOMAINS=0.25,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.2 (--)

Lars Ingebrigtsen wrote:

>> With -Q to send a mail doesn't work for other reasons, do
>> you have a minimal Gnus setup for nnml and SMTP, perhaps?
>> Or just what variables need to be filled in?
>
> It'll prompt you for an SMTP server etc, so nothing should
> need to be filled in.

But then it fails for another reason, "Sending failed: 553
Relaying disallowed ..."

-- 
underground experts united
https://dataswamp.org/~incal





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52871; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Dec 2021 17:44:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 29 12:44:05 2021
Received: from localhost ([127.0.0.1]:50260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2czc-0000cM-RU
	for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 12:44:05 -0500
Received: from lists.gnu.org ([209.51.188.17]:54732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n2cza-0000cC-Ik
 for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 12:44:03 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52584)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1n2cza-000562-BL
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 12:44:02 -0500
Received: from [2a01:4f9:2b:f0f::2] (port=33818 helo=quimby.gnus.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1n2czY-0001FO-QY
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 12:44:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:To:From:Sender:Reply-To:Cc:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=U2CuMOFSvDjo/oXStiLyrdRmREKikBxGPpWyqqWdZyg=; b=FvSYSy5Bfl3DFOALSXZZ46fMsE
 yAN+OknPeuzUu0953Eo2XbW1zwC4DF4zN3wW7j0judZjhsCikOwRItJH9WtU6L0MyzzpRn90/bDoq
 giU+4FuW6N3nmWdIzhme8yT7O7/djqrwvmI4oV88znoC3Ae1ZeQNCCiw5M9LO4G3HMmI=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1n2czT-00085J-TL
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 18:43:58 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#52871: 29.0.50; weird bug with Gnus, can't have "^From" in
 `message-hidden-header's
References: <87a6gj35od.fsf@HIDDEN> <878rw377tu.fsf@HIDDEN>
 <877dbnz531.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAM1BMVEX+3Bj+4RqTeBOz
 nTz/4w3orZ3+3An86Gj99a3+4SX44o7+/fb9+dD9/Ob+3iPv0Nr////LMsAQAAAAAWJLR0QQlbIN
 LAAAAAd0SU1FB+UMHRErHwtCewkAAAF1SURBVEjH1ZXrksIgDIWJLSSEgO//tnvobWuLjMz6Z8/U
 W82X5ARE5/63iIaBMYRGANriPwd2fW73Q4DO7QxVGAHorC8CW/eX+G4FahS4Aec7tCHf9fCYqBd+
 A+jxuNyivgeapoatoQpX5M/ANAy41qTfA/M0zWOAbwH0zQrTcAW/AKFqid3jXbdCYIHiUcB1W6rJ
 NZklDtv39P6YASAGJWG2LOVw4d4DiBMx9t5yjiWWi+0G8PSQAuCUctLQHWtQZa1ir5lV1CSsg3Lt
 wxhuM5SSeDXOCd2F39VwNyAiqSBtlvxUw4vBTdzPgvv/Q+A9P+fMkgQ9ZUz3vOJXQBmBddngw+Oq
 n8LbrRFq13UNsGx+nZUk6wBABKOECTZjGAAgx1jbU6rdJDVNSeFmAUr3IMM+KhnhggdbbQkzOOu+
 +V2sKwbvyhnPti7koRbwklHDqxoA8Vnx6L4UXKUBuDCH+qOYl+tlo4Jy8ZJ+zVW1vtmBspX4Ab0j
 EHG3l1m6AAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTEyLTI5VDE3OjQzOjMxKzAwOjAwkEqCZAAA
 ACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0xMi0yOVQxNzo0MzozMSswMDowMOEXOtgAAAAASUVORK5C
 YII=
X-Now-Playing: James Figurine's _Mistake Mistake Mistake Mistake_: "You Again"
Date: Wed, 29 Dec 2021 18:43:54 +0100
In-Reply-To: <877dbnz531.fsf@HIDDEN> (Emanuel Berg via's message of "Wed, 29
 Dec 2021 18:36:02 +0100")
Message-ID: <87r19v8fxh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Emanuel Berg via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN> writes: > With -Q to send
 a mail doesn't work for other reasons, do you > have a minimal Gnus setup
 for nnml and SMTP, perhaps? Or just > what variables need to be filled in?
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a01:4f9:2b:f0f::2 (failed)
Received-SPF: pass client-ip=2a01:4f9:2b:f0f::2; envelope-from=larsi@HIDDEN;
 helo=quimby.gnus.org
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RCVD_IN_DNSWL_MED=-2.3,
 RDNS_NONE=0.793, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=unavailable autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Emanuel Berg via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> With -Q to send a mail doesn't work for other reasons, do you
> have a minimal Gnus setup for nnml and SMTP, perhaps? Or just
> what variables need to be filled in?

It'll prompt you for an SMTP server etc, so nothing should need to be
filled in.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52871; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Dec 2021 17:36:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 29 12:36:19 2021
Received: from localhost ([127.0.0.1]:50252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2cs6-0000Ot-Rv
	for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 12:36:19 -0500
Received: from lists.gnu.org ([209.51.188.17]:52966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1n2cs5-0000Om-6G
 for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 12:36:17 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51204)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1n2cs4-0003XB-W0
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 12:36:17 -0500
Received: from ciao.gmane.io ([116.202.254.214]:39096)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1n2cs3-0006SQ-EH
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 12:36:16 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1n2crz-0003po-FP
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 18:36:11 +0100
X-Injected-Via-Gmane: http://gmane.org/
Mail-Followup-To: bug-gnu-emacs@HIDDEN
To: bug-gnu-emacs@HIDDEN
From: Emanuel Berg <moasenwood@HIDDEN>
Subject: Re: bug#52871: 29.0.50;
 weird bug with Gnus, can't have "^From" in `message-hidden-header's
Date: Wed, 29 Dec 2021 18:36:02 +0100
Message-ID: <877dbnz531.fsf@HIDDEN>
References: <87a6gj35od.fsf@HIDDEN> <878rw377tu.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
Cancel-Lock: sha1:4+EPASLaJHvCCX97A2iKZRUl48M=
Mail-Copies-To: never
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 2
X-Spam_score: 0.2
X-Spam_bar: /
X-Spam_report: (0.2 / 5.0 requ) HEADER_FROM_DIFFERENT_DOMAINS=0.25,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.2 (--)

Lars Ingebrigtsen wrote:

>> I had this - try it, only with the "^From" line uncommented.
>>
>> (setq message-hidden-headers '("^Face"
>>                                ;; "^From"
>>                                "^Mail-Copies-To"
>>                                "^References"
>>                                "^X-Draft-From"
>>                                "^X-Face") )
>>
>> If you then send a mail, you get
>>
>>   mail-extract-address-components: Invalid address: nil
>
> I'm unable to reproduce this problem.
>
> Can you give a step-by-step recipe, starting with "emacs
> -Q", for how to reproduce the problem?

With -Q to send a mail doesn't work for other reasons, do you
have a minimal Gnus setup for nnml and SMTP, perhaps? Or just
what variables need to be filled in?

-- 
underground experts united
https://dataswamp.org/~incal





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52871; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52871 <at> debbugs.gnu.org:


Received: (at 52871) by debbugs.gnu.org; 29 Dec 2021 15:24:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 29 10:24:26 2021
Received: from localhost ([127.0.0.1]:49940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2aoU-00063p-KK
	for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 10:24:26 -0500
Received: from quimby.gnus.org ([95.216.78.240]:42640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n2aoS-00063a-Dl
 for 52871 <at> debbugs.gnu.org; Wed, 29 Dec 2021 10:24:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:To:From:Sender:Reply-To:Cc:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=TMIUvNTgnDocHw/sbSgBGF9ONBveAzP7lxA+GVXesM0=; b=suMUDomGLyHXzKZRjgayeWjS/W
 OchfHuowY5Rf4k/JvDIZHXYS5pfQOSF6aUf/g5ig++FNOXZmNfGhilbBGFQ88vg+U+vPsuR/P3Hpw
 x44V8ixaOFKkA8piRQ8quS2bXyFwIgNRLyW6L0V1HNC3NkA4aBBLdKPxpnJzkgnaA1Mc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1n2aoJ-00078v-VC
 for 52871 <at> debbugs.gnu.org; Wed, 29 Dec 2021 16:24:18 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 52871 <at> debbugs.gnu.org
Subject: Re: bug#52871: 29.0.50; weird bug with Gnus, can't have "^From" in
 `message-hidden-header's
References: <87a6gj35od.fsf@HIDDEN>
X-Now-Playing: Pole's _Pole v Four Tet_: "Heim (Four Tet Remix)"
Date: Wed, 29 Dec 2021 16:24:13 +0100
In-Reply-To: <87a6gj35od.fsf@HIDDEN> (Emanuel Berg's message of "Wed, 29 Dec
 2021 14:24:18 +0100")
Message-ID: <878rw377tu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Emanuel Berg <moasenwood@HIDDEN> writes: > I had this - try
 it, only with the "^From" line uncommented. > > (setq message-hidden-headers
 '("^Face" > ;; "^From" > "^Mail-Copies-To" > "^References" > "^X-Draft-From"
 > "^X-Face") ) > > If you t [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52871
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Emanuel Berg <moasenwood@HIDDEN> writes:

> I had this - try it, only with the "^From" line uncommented.
>
> (setq message-hidden-headers '("^Face"
>                                ;; "^From"
>                                "^Mail-Copies-To"
>                                "^References"
>                                "^X-Draft-From"
>                                "^X-Face") )
>
> If you then send a mail, you get
>
>   mail-extract-address-components: Invalid address: nil

I'm unable to reproduce this problem.

Can you give a step-by-step recipe, starting with "emacs -Q", for how to
reproduce the problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52871; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Dec 2021 13:24:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 29 08:24:40 2021
Received: from localhost ([127.0.0.1]:48233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2YwZ-00028k-O1
	for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 08:24:40 -0500
Received: from lists.gnu.org ([209.51.188.17]:60410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <moasenwood@HIDDEN>) id 1n2YwY-00028a-4M
 for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 08:24:38 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51688)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <moasenwood@HIDDEN>)
 id 1n2YwX-0007uf-4G
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 08:24:37 -0500
Received: from sender11-pp-o91.zoho.eu ([31.186.226.249]:25112)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <moasenwood@HIDDEN>)
 id 1n2YwQ-0007ge-Si
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 08:24:36 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1640784260; cv=none; d=zohomail.eu; s=zohoarc; 
 b=JyRnKVsCT/a1c0ecIrxbpCG90KFHnRgDeu21qUFN6uA8jJN9U6KJX9VBIEacBZo534JW1YCRPiGz1ZzhpbEC5KbM0zqRQWG7xRAHISKFNgQ+ziERBCRgESHLAb4LlmCvOlHvcH1yZ/NEWNAr8G55wj3D5lYB1ZRENB6LhNE2Bkw=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.eu;
 s=zohoarc; 
 t=1640784260; h=Content-Type:Date:From:MIME-Version:Message-ID:Subject:To; 
 bh=7Dwf4/YyQO8B7pXdvSxiAzv/l8TawymsT+qKRxIWeng=; 
 b=IaMdFffTeQ6AWvOOdh72SrV70hGJdRSseeRcPxunWw3ik5Z5onwBkq5RuGlja5hiKa6KteudBaps0nxp66WgjC0CpyDjeXwzjyJyXh4rOkXl3efChqkQXMV/Yv+PqdFq36sKahcHc6pkUNQCiLpAz3FUaxcup4qEOMXFm2lWVrg=
ARC-Authentication-Results: i=1; mx.zohomail.eu; dkim=pass  header.i=zoho.eu;
 spf=pass  smtp.mailfrom=moasenwood@HIDDEN;
 dmarc=pass header.from=<moasenwood@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1640784260; 
 s=admin; d=zoho.eu; i=moasenwood@HIDDEN;
 h=From:To:Subject:Date:Message-ID:MIME-Version:Content-Type;
 bh=7Dwf4/YyQO8B7pXdvSxiAzv/l8TawymsT+qKRxIWeng=;
 b=HpQj5maGZqHgHIxCpY7g0x46yOsN6Xx7jWzNM4W0DG13zl6E8al0jox4u6SJbxPb
 MICHA8PTXbtbwXjT0vwBexR8N09Ku0+Wy/xLQaEafLuerniS+l/KUPiNRqqGh9Qq4/A
 yVRkFQUSrdOZ6IAzLKsg1vIlcNNjAgKcl52qlal4=
Received: from ebc.zoho.eu (c-178e225c.021-67-7570702.bbcust.telenor.se
 [92.34.142.23]) by mx.zoho.eu
 with SMTPS id 1640784258934812.7632821365366;
 Wed, 29 Dec 2021 14:24:18 +0100 (CET)
From: Emanuel Berg <moasenwood@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; weird bug with Gnus, can't have "^From" in
 `message-hidden-header's
Mail-Copies-To: never
Date: Wed, 29 Dec 2021 14:24:18 +0100
Message-ID: <87a6gj35od.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
Received-SPF: pass client-ip=31.186.226.249; envelope-from=moasenwood@HIDDEN;
 helo=sender11-pp-o91.zoho.eu
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


I had this - try it, only with the "^From" line uncommented.

(setq message-hidden-headers '("^Face"
                               ;; "^From"
                               "^Mail-Copies-To"
                               "^References"
                               "^X-Draft-From"
                               "^X-Face") )

If you then send a mail, you get

  mail-extract-address-components: Invalid address: nil

I always thought that, `message-hidden-headers', a mere
interface setting so it took me several days to find this
bug ...


In GNU Emacs 29.0.50 (build 4, x86_64-pc-linux-gnu, cairo version 1.16.0)
 of 2021-12-27 built on ebc
Repository revision: fbe026cb3e2f8148dd1841e0f9974915ca32c84d
Repository branch: master
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure --with-x-toolkit=no'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS
HARFBUZZ JPEG JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2
M17N_FLT MODULES NOTIFY INOTIFY OLDXMENU PDUMPER PNG RSVG
SECCOMP SOUND THREADS TIFF X11 XDBE XIM XPM ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-netsplit-mode: t
  cursor-sensor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-autojoin-mode: t
  erc-networks-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  gnus-undo-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: linux
  auto-compression-mode: t
  buffer-read-only: t
  transient-mark-mode: t

Load-path shadows:
~/.emacs.d/emacs-init/misc hides /usr/local/share/emacs/29.0.50/lisp/misc
~/.emacs.d/lisp/abbrev hides /usr/local/share/emacs/29.0.50/lisp/abbrev
/usr/local/share/emacs/29.0.50/lisp/emacs-lisp/eieio-compat hides /usr/local/share/emacs/29.0.50/lisp/obsolete/eieio-compat

Features:
(shadow emacsbug mule-util erc-list erc-menu erc-track
erc-netsplit shortdoc cl-extra cl-print help-fns radix-tree
canlock nnfolder mailalias mail-extr gnus-draft tabify
gnus-dup gnus-ml disp-table cursor-sensor pop3 nndraft nnmh
nnml gnutls network-stream nsm gnus-agent nnvirtual nntp
gnus-cache term/linux cus-edit cus-start cus-load
w3m-unisearch w3m-incal w3m-session w3m-search checkdoc
lisp-mnt lisp-incal ielm nroff-mode compile-incal cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs summary message-incal moggle
mail-to-many gnus-server smtpmail sendmail article
w3m-download w3m-bookmark-more w3m-tabs erc-connect
bibtex-next-volume bibtex-incal bibtex-field bibtex-book
bibtex-autokey-insert yank xsel wrap-search spell ispell
sort-incal sort revert-buffer lpr inf-lisp tramp-cache
tramp-sh w3m-bookmark t-mouse man-incal tex-mode mode-line
kill keys iterate-files issn-verify isbn-verify help-incal
debug backtrace help-mode apropos fill-incal w3m-form
sh-script executable org ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-macro org-footnote org-src ob-comint org-pcomplete
org-list org-faces org-entities org-version ob-emacs-lisp
ob-core ob-eval org-table oc-basic bibtex ol org-keys oc
org-compat advice org-macs org-loaddefs find-func cal-menu
calendar cal-loaddefs markdown-mode rx noutline outline
easy-mmode man gnus-cite erc-match erc-button css-mode smie
sgml-mode facemenu imenu eww xdg url-queue mm-url color
compile epwgen em-hist em-pred esh-mode quit gnus-incal group
group-summary gnus-srvr erc-incal warnings erc-spell erc-ring
erc-pcomplete erc-kill erc-join erc-networks erc-iterate
erc-scroll erc-fill erc-stamp erc-goodies erc erc-backend pp
erc-loaddefs gnus-score score-mode gnus-msg gnus-art mm-uu
mml2015 mm-view mml-smime smime dig gnus-sum shr pixel-fill
kinsoku svg dom gnus-group gnus-undo gnus-start gnus-dbus dbus
xml gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo
gnus-spec gnus-int gnus-range gnus-win message yank-media rmc
puny rfc822 mml mml-sec epa derived epg rfc6068 epg-config
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 ietf-drums mailabbrev gmm-utils mailheader gnus
nnheader gnus-util text-property-search mail-utils mm-util
mail-prsvr eshell esh-cmd esh-ext esh-opt esh-proc esh-io
esh-arg esh-module esh-groups esh-util edit tabs dired-incal
w3m-url w3m doc-view jka-compr image-mode exif timezone
w3m-hist w3m-fb bookmark-w3m w3m-ems wid-edit w3m-favicon
w3m-image tab-line w3m-proc w3m-util thingatpt time-incal
time-insert file tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat shell pcomplete comint
ansi-color ring parse-time iso8601 time-date ls-lisp
format-spec sudo-user-path find-command file-write-to
window-incal get-search-string search-regexp-in-files count
caps-back buffer-menu switch-to-buffer switch-to-buffer-regexp
super scroll dired dired-loaddefs close buc align-from-left
align-incal string abc info w3m-load package browse-url url
url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json map url-vars seq gv subr-x byte-opt
bytecomp byte-compile cconv cl-loaddefs cl-lib iso-transl
tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch
easymenu timer select scroll-bar mouse jit-lock font-lock
syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic
chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded
nadvice button loaddefs faces cus-face macroexp files window
text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo x multi-tty
make-network-process emacs)

Memory information:
((conses 16 381623 34459)
 (symbols 48 33233 13)
 (strings 32 124347 12735)
 (string-bytes 1 4011174)
 (vectors 16 56542)
 (vector-slots 8 625964 63758)
 (floats 8 524 418)
 (intervals 56 1838 748)
 (buffers 992 30))

-- 
underground experts united
https://dataswamp.org/~incal




Acknowledgement sent to Emanuel Berg <moasenwood@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52871; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 21 Jan 2022 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.